
html, body {
    font-family: 'Ubuntu', 'Arial', 'Courier New';
    padding: 0;
    margin: 0;
}

.todo::after{
    content: " (TODO)";
    color: red;
}

.helptext{
    font-size:12px;
}

.loader{
    position: absolute;
    z-index:100;
    width: 100%;
    height: calc( 100% - 40px );
    background-color: rgba(100,100,100,.5);
    text-align: center;
    display:none;
}

.loadimage{
    margin: 50px;
}

/* LINKS */

a {
    color : rgba(0,60,136,.7);
    text-decoration: none;
}

a:hover {
    color: rgba(0,60,136,.5);
}

a:visited {
    color: rgba(0,60,136,.7);
}

.button{
    padding: 3px 5px 3px 5px;
    background-color: rgba(0,60,136,.5);
    color: white;
    border: 0;
    border-radius: 3px;
    font-size: 20px;
}

.button:hover{
    background-color: rgba(0,60,136,.7);
    color: white;
}

.button:active{
    transform: translateY(2px);
    color: white;
}

.button:visited{
    color: white;
}

.button-wait{
    background-color: red;
}


/* HEAD */

#head {
    font-family: 'Ubuntu', 'Arial', 'Courier New';
    /*width: 100%;*/
    height: 80px;
    background-color: white;
    padding-left: 50px;
}

#head h2{
    font-variant: small-caps;
    margin: 5px;
}

#head p{
    margin: 5px;
}

#head .links{
    text-align: right;
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 12px;
}

/* SMALLPAGE & BASIC FORM */

.smallpage {
    padding-top:50px;
    max-width:1000px;
    padding-left: 50px;
    padding-bottom: 50px;
}


.menu {
    list-style-type: none;
    position: absolute;
    top:0;
    left: 0;
}

.menu li {
    display: inline;
    margin: 0;
    padding: 5px;
    background-color: #2b8cbe;
    color: white;
    border: 1px solid white;
}

.results {
    width: auto;
    /*border: 1px solid black;*/
    margin: 30px;
}

.djangoform {
    list-style: square;
}

dl {
    margin: 15px;
}

dd p {
    margin: 3px;
}

dd {
    margin-bottom: 3px;
}

.api dt{
    font-weight: bold;
    font-style: normal;
}

.description dt{
    font-style: italic;
    font-weight: normal;
}

.tip {
    font-size:12px;
    text-align: center;
    display: inline-block;
    margin: 5px;
    padding: 2px;
    min-width: 14px;
    border-radius: 50%;
    background-color: #ccd8e7;
    border: 1px solid black;
}

.tipmessage{
    text-align: left;
    min-width: 200px;
}

.tip .tipmessage {
    display: none;
}

.tip:hover .tipmessage{
    position: absolute;
    display: block;
    padding: 2px;
    margin: 10px;
    z-index:10;
    background-color: #ccd8e7;
    border: 1px solid black;
}

/* PANEL */

#rightPanel{
    height: calc( 100% - 100px );
    padding: 0px;
    position: absolute;
    width: 55%;
    right: 0;
    /*top:100px;*/
    z-index:5;

}

.chartContainer{
    position:relative;
    height:46%;
    width:100%;
}

.drop{
    margin-left:2px;
    margin-right:2px;
    position: relative;
    display: inline-block;
/*    border-bottom: 5px solid rgba(0,60,136,.7);*/
}

.drop ul{
    list-style: none;
    position: absolute;
    display:none;
    padding: 2px;
    padding-bottom: 10px;
    z-index:10;
    background-color: rgba(255, 255, 255, .9);
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    border: 1px solid black;
    top: -1px;
    border-radius: 0 0 5px 5px;
}

.drop ul ul{
    left:20%;
    width:50%;
    top:100%;
    border-radius: 0 5px 5px 0;
}
/*
.drop label{
    position: static;
    width: 80%;
    display: block;
    float:left;
    background-color: green;
}
*/

.drop ul li{
    position:relative;
    padding-left: 10px;
    padding-top: 5px;
}

.ul-small{
    min-width: 200px;
}

.ul-large{
    min-width:400px;
}

.ul-medium{
    min-width:300px;
}

/*
.dropdropMenu{
    display:none;
    position:absolute;
    right:0;
}
*/

.drop:hover > ul{
    display: block;
}

.drop .hoverable:hover {
    background-color: rgba(0,60,136,.1);
}

.drop li:hover > ul{
    display: block;
}

.dropSelected {
    padding-left: 4px;
    padding-right: 4px;
    background-color: #ccd8e7;/*rgba(0,60,136,.2);*/
    border-radius: 3px;
}

.category{
    padding-bottom: 3px;
    background-color: #ccd8e7;/*rgba(0,60,136,.2);*/
    font-weight: bold;
}

.separator{
    width: 95%;
    margin-top: 5px;
    margin-bottom: 5px;
    border-top: 1px solid gray;
}

.grayed{
    color: gray;
}

/* MAP */


#mapContainer {
    position: absolute;
    height: calc( 100% - 100px );
    width: 45%;
    left: 0;
    padding: 0;
    margin: 0;
    z-index: 0;
}

#map {
    width: 100%;
    height: 100%;
}

#maplonlat{
    position: absolute;
    bottom: 0;
    left: 20%;
    font-size: 12px;
    background-color: rgba(255,255,255,.5);
}

.ol-zoom{
    left: 8px;
    top: auto;
    bottom: 8px;
}

.small-input{
    max-width: 100px;
}


/* SCALE */

#title, #scale, #mapPanel{
    background-color: rgba(255,255,255,.5);
    position: absolute;
    z-index:2;
}

#mapPanel{
    position: absolute;
    max-width: 500px;
    top: 8px;
    left: 8px;
}

#title, dygraph-title{
    font-size:16px;
}

#title{
    max-width: 50%;
    display: none;
    text-align:center;
    right: 0px;
    left: 0px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    font-weight: bold;
}

#scale{
    display: none;
    left: auto;
    right: 8px;
    bottom: 24px;
    font-size: 10px;
}

.scaleTable{
    background-color: rgba(255,255,255,.5);
    text-align: right;
    margin: 0;
    padding: 0;
}

.scaleO{
    min-width:20px;
    min-height:20px;
    background-color:black;
}


#scaleimg {
  /*max-width: none !important;*/
  /* Preserve crisp pixels with scaled up images */
  image-rendering: optimizeSpeed;             /* Legal fallback */
  image-rendering: -moz-crisp-edges;          /* Firefox        */
  image-rendering: -o-crisp-edges;            /* Opera          */
  image-rendering: -webkit-optimize-contrast; /* Safari         */
  image-rendering: optimize-contrast;         /* CSS3 Proposed  */
  image-rendering: crisp-edges;               /* CSS4 Proposed  */
  image-rendering: pixelated;                 /* CSS4 Proposed  */
  -ms-interpolation-mode: nearest-neighbor;   /* IE8+           */
}

/* CHARTS */

.chart{
    position: absolute;
    height:90%;
    width: 80%;
    left:0;
}

.legend{
    margin-bottom: 5px;
    margin-top: 5px;
    font-size: small;
    position: absolute;
    overflow: auto;
    width:20%;
    right:0;
    top:0;
    height: 100%;
}

.dygraph-roller{
    top: 100%;
    right: 0;
    width: 30px;
}

.dygraph-roller:before{
    content: "smoothing";
}

.digraph-title{
    font-size:12px;
}

/* POPUP, borrowed from
    https://openlayers.org/en/latest/examples/popup.html
*/



     .ol-popup {
        position: absolute;
        background-color: white;
        -webkit-filter: drop-shadow(0 1px 4px rgba(0,0,0,0.2));
        filter: drop-shadow(0 1px 4px rgba(0,0,0,0.2));
        padding: 15px;
        border-radius: 10px;
        border: 1px solid #cccccc;
        bottom: 12px;
        left: -50px;
        min-width: 130px;
      }
      .ol-popup:after, .ol-popup:before {
        top: 100%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
      }
      .ol-popup:after {
        border-top-color: white;
        border-width: 10px;
        left: 48px;
        margin-left: -10px;
      }
      .ol-popup:before {
        border-top-color: #cccccc;
        border-width: 11px;
        left: 48px;
        margin-left: -11px;
      }
      .ol-popup-closer {
        text-decoration: none;
        position: absolute;
        top: 2px;
        right: 8px;
      }
      .ol-popup-closer:after {
        content: "✖";
      }